import { Platform, StyleSheet } from 'react-native';
import { DEVICE_HEIGHT, DEVICE_WIDTH } from '~/common/constants';

const isAndroid = Platform.OS === 'android';
export default StyleSheet.create({
  mainContainerStyle: {
    flex: 1,
    backgroundColor: 'rgb(14,14,18)',
  },
  headerComponent: {
    backgroundColor: 'rgb(44,52,58)',
    height: DEVICE_HEIGHT < 810 ? 84 : (106 / 812) * DEVICE_HEIGHT,
  },
  headerComponentText: {
    fontFamily: 'SFProDisplay-Semibold',
  },
  topMarginContainer: {
    height: 32,
  },
  backgroundIconStyle: {
    width: DEVICE_WIDTH * 0.5,
    height: DEVICE_HEIGHT * 0.6,
    justifyContent: 'center',
    alignItems: 'center',
    top: DEVICE_HEIGHT * 0.3,
    position: 'absolute',
    opacity: !isAndroid ? 0.03 : 0.02,
    right: -((DEVICE_WIDTH * 0.3) / 2),
  },
  amtContainer: {
    backgroundColor: 'rgb(44,52,58)',
    height: 120,
    width: DEVICE_WIDTH - 32,
    alignSelf: 'center',
    borderRadius: 10,
    marginBottom: 12,
  },
  balanceHeadingContainer: {
    borderTopLeftRadius: 10,
    borderTopRightRadius: 10,
    backgroundColor: 'rgb(50,59,66)',
    height: 40,
    justifyContent: 'center',
    paddingLeft: 28,
  },
  balanceHeadingTextStyle: {
    color: 'rgb(166,225,100)',
    fontSize: 14,
    fontFamily: 'SFProDisplay-Medium',
  },
  balanceViewText: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
  },
  balanceViewTextOne: {
    fontSize: 24,
    fontFamily: 'SFProDisplay-Bold',
    flex: 1,
    textAlign: 'center',
    alignSelf: 'center',
    color: '#fff',
  },
  addressContainer: {
    width: DEVICE_WIDTH - 32,
    marginTop: DEVICE_HEIGHT * 0.03,
    alignSelf: 'center',
  },
  inputTextHeading: {
    fontSize: 16,
    fontFamily: 'SFProDisplay-Regular',
    color: '#FFFFFF',
    paddingLeft: 12,
  },
  textInputContainer: {
    minHeight: 50,
    maxHeight: 80,
    flexDirection: 'row',
    marginTop: 10,
    borderBottomWidth: 1.5,
    borderRadius: 4,
    borderBottomColor: 'rgb(56,65,71)',
    backgroundColor: 'rgb(32,37,42)',
  },
  valueTextStyle: {
    fontSize: 12,
    flex: 1,
    paddingLeft: 12,
    // backgroundColor: 'rgb(32,37,42)',
    color: '#fff',
    fontFamily: 'SFProDisplay-Regular',
  },
  iconContainer: {
    alignItems: 'center',
    flexDirection: 'row',
    paddingHorizontal: 5,
    paddingVertical: 5,
  },
  priceSubContainer: {
    width: 50,
    alignItems: 'center',
    justifyContent: 'center',
  },
  priceTextStyle: {
    color: '#FFF',
    textAlign: 'center',
    fontFamily: 'SFProDisplay-Regular',
    fontSize: 14,
  },
  memoTextInputContainer: {
    minHeight: 50,
    marginTop: 10,
    borderBottomWidth: 1.5,
    borderRadius: 4,
    borderBottomColor: 'rgb(56,65,71)',
    backgroundColor: 'rgb(32,37,42)',
  },
  attentionMainContainer: {
    justifyContent: 'center',
    alignItems: 'center',
    marginTop: DEVICE_HEIGHT * 0.05,
  },
  attentionTextStyle: {
    color: 'rgb(245, 206, 0)',
    fontFamily: 'SFProDisplay-Bold',
    fontSize: 12,
    paddingTop: 2,
  },
  warningTextStyle: {
    color: 'rgba(255, 255, 255,0.9)',
    fontFamily: 'SFProDisplay-Regular',
    fontSize: 12,
    paddingTop: 8,
  },
  confirmButtonOuterContainer: {
    height: DEVICE_WIDTH * 0.2,
    width: DEVICE_WIDTH * 0.2,
    backgroundColor: 'rgb(29,33,38)',
    alignItems: 'center',
    alignSelf: 'center',
    justifyContent: 'center',
    borderRadius: (DEVICE_WIDTH * 0.2) / 2,
    marginBottom: 10,
  },
  confirmButtonInnerContainer: {
    height: DEVICE_WIDTH * 0.16,
    width: DEVICE_WIDTH * 0.16,
    backgroundColor: 'rgb(44,52,58)',
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: (DEVICE_WIDTH * 0.16) / 2,
  },
  confirmTextStyle: {
    color: '#FFF',
    fontFamily: 'SFProDisplay-Semibold',
    fontSize: 16,
  },
  confirmContainer: {
    marginTop: DEVICE_HEIGHT * 0.06,
    alignItems: 'center',
  },

  scpace: {
    height: DEVICE_HEIGHT * 0.1,
  },
  // mainContainerStyle: {
  //   flex: 1,
  //   backgroundColor: 'white',
  // },
  // backArrow: {
  //   marginTop: deviceHeight * 0.04,
  // },
  // header: {
  //   marginTop: deviceHeight * 0.05,
  //   alignSelf: 'center',
  // },
  // headerText: {
  //   fontSize: deviceWidth * 0.06,
  //   fontWeight: 'bold',
  // },
  // mid: {
  //   // padding: deviceHeight * 0.03,
  //   marginTop: 50,
  //   marginLeft: 20,
  //   marginRight: 20,
  //   backgroundColor: '#fff',
  //   shadowColor: 'rgba(0,0,0,0.1)',
  //   shadowRadius: 8,
  //   shadowOffset: { width: -1, height: 1 },
  //   shadowOpacity: 1,
  //   paddingLeft: 20,
  //   elevation: 1,
  // },
  // textFieldStyle: {
  //   paddingRight: 20,
  //   marginTop: 10,
  //   height: 50,
  // },
  // footerStyle: {
  //   position: 'absolute',
  //   bottom: 0,
  //   flexDirection: 'row',
  // },
  // buttonViewStyle: {
  //   flex: 1,
  //   flexDirection: 'row',
  //   position: 'absolute',
  //   bottom: 0,
  // },
  // additionalInfoTextStyle: {
  //   fontSize: 14,
  //   marginTop: 30,
  // },
  // // styling of TextField begins from here
  // mainTextFieldView: {
  //   flex: 1,
  //   height: 40,
  //   borderBottomWidth: 1,
  //   borderBottomColor: 'rgb(101,101,101)',
  //   borderColor: 'gray',
  //   justifyContent: 'center',
  // },
  // inputFieldStyle: {
  //   flex: 1,
  //   height: 40,
  //   paddingLeft: 10,
  //   fontSize: 14,
  //   fontWeight: '700',
  // },
  // additionalViewStyles: {
  //   position: 'absolute',
  //   height: 40,
  //   right: 10,
  //   justifyContent: 'center',
  //   width: '60%',
  //   alignItems: 'flex-end',
  // },
  // rightSideTextStyle: {
  //   fontSize: 14,
  //   color: 'rgb(101,101,101)',
  // },
});
